package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

// 应用相关

type ApplicationListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	//Enable    int32 `form:"enable" json:"enable"`
	PackageId int64 `form:"package_id" json:"package_id"`
}
type ApplicationListRequest struct {
	base.Header
	ApplicationListQuery
}

type ApplicationListResponse struct {
	base.Result
	Data v1.ApplicationListReply `json:"data"`
}
