package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type MaterialInfoQuery struct {
	Mtype int32 `form:"mtype" json:"mtype"`
}
type MaterialInfoRequest struct {
	base.Header
	MaterialInfoQuery
}

type MaterialInfoResponse struct {
	base.Result
	Data v1.MaterialInfoReply `json:"data"`
}

type MaterialListQuery struct {
	Mtypes string `form:"mtypes" json:"mtypes"`
}
type MaterialListRequest struct {
	base.Header
	MaterialListQuery
}

type MaterialListResponse struct {
	base.Result
	Data v1.MaterialListReply `json:"data"`
}
