package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type SystemMsgListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
}

type SystemMsgListRequest struct {
	base.Header
	SystemMsgListQuery
}

type SystemMsgListResponse struct {
	base.Result
	Data v1.SystemMsgListReply `json:"data"`
}

type SystemMsgReadedBody struct {
	Id []int64 `form:"id" json:"id"`
}
type SystemMsgReadedRequest struct {
	base.Header
	SystemMsgReadedBody
}
type SystemMsgReadedResponse struct {
	base.Result
}
